tamarin-prover-utils-1.2.2: Utility library for the tamarin prover.

Copyright | (c) 2011 Simon Meier
License | GPL v3 (see LICENSE)
Maintainer | Simon Meier <iridcode@gmail.com>
Portability | GHC only
Safe Haskell | Safe
Language | Haskell98

System.Timing

Description

A simple module for timing IO action.

Synopsis

- timed :: IO a -> IO (a, NominalDiffTime)
- timed_ :: IO a -> IO NominalDiffTime

# Documentation

timed :: IO a -> IO (a, NominalDiffTime) #

Execute an IO action and return its result plus the time it took to execute it.

timed_ :: IO a -> IO NominalDiffTime #

Execute an IO action and return the time it took to execute it.